//
//  TSMenuHelperView.h
//  MenuHelper
//
//  Created by Robin Senior on 2013-05-13.
//  Copyright (c) 2013 theScore. All rights reserved.
//

#import <UIKit/UIKit.h>

@protocol TSMenuHelperDataSource
- (CGRect)drawableRectForRect:(CGRect)rect;
- (CGPoint)drawablePointForPoint:(CGPoint)point inRect:(CGRect)rect;
- (CGPathRef)newDrawableArcForPoint:(CGPoint)point inRect:(CGRect)rect;
- (CGFloat)radius;
- (NSUInteger)numberOfMenuItems;
@end

@interface TSMenuHelperView : UIView
@property(nonatomic, weak) IBOutlet id<TSMenuHelperDataSource> delegate;
@end
